## GDataFreebaseResult

GDataFreebaseResult — GData Freebase result object

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataFreebaseResult * | gdata_freebase_result_new ()
GVariant * | gdata_freebase_result_dup_variant ()

## Properties

GVariant * | variant | Read

## Types and Values

| GDataFreebaseResult
| GDataFreebaseResultClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataEntry
                ╰── GDataFreebaseResult
                    ├── GDataFreebaseSearchResult
                    ╰── GDataFreebaseTopicResult

## Includes

    #include <gdata/services/freebase/gdata-freebase-result.h>

## Description

GDataFreebaseResult is a subclass of GDataEntry to represent the result of a Google Freebase MQL query.

For more details of Google Freebase API, see the online documentation.

## Functions

### gdata_freebase_result_new ()

    GDataFreebaseResult *
    gdata_freebase_result_new (void);

`gdata_freebase_result_new` has been deprecated since version 0.17.7 and should not be used in newly-written code.

Google Freebase has been permanently shut down.

Creates a new GDataFreebaseResult.

#### Returns

a new GDataFreebaseResult; unref with `g_object_unref()`.

[transfer full]

Since: 0.15.1

### gdata_freebase_result_dup_variant ()

    GVariant *
    gdata_freebase_result_dup_variant (GDataFreebaseResult *self);

`gdata_freebase_result_dup_variant` has been deprecated since version 0.17.7 and should not be used in newly-written code.

Google Freebase has been permanently shut down.

Gets the result serialized as a GVariant of type "a{smv}", containing the JSON data tree. This variant can be alternatively processed through `json_gvariant_serialize()`.

#### Parameters

self | a GDataFreebaseResult |

#### Returns

the serialized result, or `NULL`; unref with `g_variant_unref()`.

[allow-none][transfer full]

Since: 0.15.1

## Types and Values

### GDataFreebaseResult

    typedef struct _GDataFreebaseResult GDataFreebaseResult;

`GDataFreebaseResult` is deprecated and should not be used in newly-written code.

All the fields in the GDataFreebaseResult structure are private and should never be accessed directly.

Since: 0.15.1

### GDataFreebaseResultClass

    typedef struct {
    } GDataFreebaseResultClass;

`GDataFreebaseResultClass` is deprecated and should not be used in newly-written code.

All the fields in the GDataFreebaseResultClass structure are private and should never be accessed directly.

Since: 0.15.1

## Property Details

### The `“variant”` property

      “variant”                  GVariant *

Variant containing the MQL result. The variant is a very generic container of type "a{smv}", containing (possibly nested) Freebase schema types and values.

`GDataFreebaseResult:variant` has been deprecated since version 0.17.7 and should not be used in newly-written code.

Google Freebase has been permanently shut down.

Flags: Read

Allowed values: GVariant<a{smv}>

Default value: NULL

Since: 0.15.1